Class ProjectReference
java.lang.Object
com.blueriq.component.api.ProjectReference
- All Implemented Interfaces:
IProjectReference, Serializable
- Direct Known Subclasses:
Shortcut
Mutable project reference implementation.
- Since:
- 8.0
- Author:
- Danny Roest
- See Also:
-
Constructor Summary
ConstructorsConstructorDescriptionCopy constructorProjectReference(String projectName) Constructs a new application request for the specified application/project. -
Method Summary
Modifier and TypeMethodDescriptionbooleanThis method returns all the parameters set with withsetParameters(Map).getFlow()getParameter(String name) This method returns the request parameter set withsetParameters(Map).This method returns the request parameters set withsetParameters(Map)without the standard request parameters ("project", "flow", "version", "languageCode", "ui", "theme", "channel").getTheme()inthashCode()booleanThis method indicates if the project reference is private or notbooleanvoidsetAquimaUi(String aquimaUi) voidsetChannel(String channel) voidsetDevtoolsEnabled(boolean devtoolsEnabled) voidvoidsetLanguageCode(String languageCode) voidsetParameters(Map<String, String[]> parameters) This method sets the (additional) parameters from the request (often an httpServletRequest).voidsetPrivateAccess(boolean privateAccess) voidsetProjectName(String projectName) voidsetTestPath(String testPath) voidvoidsetVersion(String version) toString()toUrl()This method returns the url to start this project reference.
-
Constructor Details
-
ProjectReference
Constructs a new application request for the specified application/project.- Parameters:
projectName- the name of the application/project
-
ProjectReference
Copy constructor- Parameters:
other- The project reference to copy.
-
-
Method Details
-
getProjectName
- Specified by:
getProjectNamein interfaceIProjectReference
-
setProjectName
-
getVersion
- Specified by:
getVersionin interfaceIProjectReference
-
setVersion
-
getTheme
- Specified by:
getThemein interfaceIProjectReference
-
setTheme
-
getLanguageCode
- Specified by:
getLanguageCodein interfaceIProjectReference
-
setLanguageCode
-
getChannel
- Specified by:
getChannelin interfaceIProjectReference
-
setChannel
-
getFlow
- Specified by:
getFlowin interfaceIProjectReference
-
setFlow
-
getAquimaUi
- Specified by:
getAquimaUiin interfaceIProjectReference
-
setAquimaUi
-
getTestPath
- Specified by:
getTestPathin interfaceIProjectReference
-
setTestPath
-
isDevtoolsEnabled
public boolean isDevtoolsEnabled()- Specified by:
isDevtoolsEnabledin interfaceIProjectReference
-
setDevtoolsEnabled
public void setDevtoolsEnabled(boolean devtoolsEnabled) -
hasPrivateAccess
public boolean hasPrivateAccess()Description copied from interface:IProjectReferenceThis method indicates if the project reference is private or not- Specified by:
hasPrivateAccessin interfaceIProjectReference- Returns:
- a boolean value
-
setPrivateAccess
public void setPrivateAccess(boolean privateAccess) -
toUrl
-
toUrl
Description copied from interface:IProjectReferenceThis method returns the url to start this project reference.- Specified by:
toUrlin interfaceIProjectReference- Parameters:
parameters- The additional parameters that should be added to the url, may be null.- Returns:
- The url to start this project reference, never null.
-
getAllParameters
This method returns all the parameters set with withsetParameters(Map).- Specified by:
getAllParametersin interfaceIProjectReference- Returns:
- a map all with the parameters
-
getParameters
This method returns the request parameters set withsetParameters(Map)without the standard request parameters ("project", "flow", "version", "languageCode", "ui", "theme", "channel").- Specified by:
getParametersin interfaceIProjectReference- Returns:
- a map with the parameters
-
setParameters
-
getParameter
This method returns the request parameter set withsetParameters(Map). If the parameters contains multiple values, the first will be returned.- Specified by:
getParameterin interfaceIProjectReference- Parameters:
name- The name of the parameter.- Returns:
- The single value parameter, may be null.
-
toString
-
hashCode
-
equals
-